Security Lab

Переполнение буфера в 3proxy

Дата публикации:23.04.2007
Всего просмотров:2502
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: 3proxy 0.x
Уязвимые версии: 3proxy версии до 0.5.3h.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке прозрачных запросов. Удаленный пользователь может послать уязвимому серверу специально сформированный запрос и выполнить произвольный код на целевой системе.

URL производителя: 3proxy.ru

Решение: Установите последнюю версию (0.5.3h) с сайта производителя.